ASTSCRIPT-POINTING-SIMULATE(1)

NAME
astscript-pointing-simulate - Simulate the exposure map of a pointing pattern

SYNOPSIS
astscript-pointing-simulate positions-cat.fits --center=1.23,4.56 --width=2,2 --img=image.fits [OPTIONS]

DESCRIPTION
Given a set of dithering positions ('positions-cat.fits' in the example above), and an image ('image.fits' which can be from any part of the sky, only its distortion and orientation are important), build the exposure map of the output coadd after applying that dither (where each pixel contains the number of exposures that were used in it). The field of the final coad can be set with the '--center' and '--width' options.

  astscript-pointing-simulate options:

    Input:

-h, --hdu=STR/INT
    HDU name or number of the positions catalog.

-i, --img=STR
    Name of reference image.

-H, --imghdu=STR/INT
    HDU name or number of the input image.

-r, --racol=STR/INT
    Name/number of column containing RA.

-d, --deccol=STR/INT
    Name/number of column containing Declination.

--mksrc=STR
    Makefile (for developers when debugging).

    Hooks:

--hook-warp-before='COMMAND' Before warping each exposure;
    Input: ''. Output: ''.

--hook-warp-after='COMMAND' After warping each exposure;
    Input: ''. Output: ''.

    Output:

-o, --output=STR
    Name of finally coadded image.

-C, --center=FLT,FLT
    Center of output stack (in RA,Dec).

-w, --width=FLT,FLT
    Width of output coadd (in WCS).

--ctype=STR,STR
    Projection of output (CTYPEi in WCS).

--widthinpix
    Interpret '--width' values in pixels.

--coadd-operator="STR" Arithmetic operator to use for coadding.

-t, --tmpdir=STR
    Directory to keep temporary files.

-k, --keeptmp
    Keep temporal/auxiliar files.

    Operating mode:

-?, --help
    Print this help.

-N, --numthreads=INT
    Number of threads; maximum if not given.

--cite
    BibTeX citation for this program.

-q, --quiet
    Don't print any extra information in stdout.

-V, --version
    Print program version.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponfing short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org

COPYRIGHT
Copyright © 2023-2025 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi, Raul Infante-Sainz and Sepideh Eskandarlou.

SEE ALSO
The full documentation for astscript-pointing-simulate is maintained as a Texinfo manual. If the info and astscript-pointing-simulate programs are properly installed at your site, the command

    info astscript-pointing-simulate

should give you access to the complete manual.